aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-08-11 17:24:19 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-08-11 17:24:19 +0200
commitaaff4be8cd1ef31a4c4204c6b3ef87a62b10fede (patch)
treeb0597212f112199accd46d9c881edef611edd5cd /jjb/common
parent3eac0fa051854a583618e0f3a879b767c26ddf3b (diff)
Do build and upload multiple wgt files for applications
This change will allow to build and upload - release - debug - coverage - test wgt files. Bug-AGL: SPEC-3482 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I5e7adb40442dd8a9abc3268e4e635c2451e54732
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-apps-build-app.sh7
-rw-r--r--jjb/common/include-apps-prepare-upload-folder.sh38
2 files changed, 8 insertions, 37 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index 4a708209..112d46cf 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -60,7 +60,7 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
pip install --user git-review
git review -d ${GERRIT_CHANGE_NUMBER},${GERRIT_PATCHSET_NUMBER}
fi
- sleep 2
+ #sleep 2
# if not reset, we leave it to master
fi
@@ -69,7 +69,7 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
git submodule init && git submodule update
fi
- git log -1 --pretty=oneline
+ git log -1 --pretty=oneline | more
export DONE=0
export isAUTOBUILD=0
@@ -90,8 +90,11 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
echo " autobuild/agl/autobuild package-all DEST=somefolder"
exit 1
fi
+ ls -alh
+ ls -alh package || true
popd
HANDLED="yes"
fi
+
diff --git a/jjb/common/include-apps-prepare-upload-folder.sh b/jjb/common/include-apps-prepare-upload-folder.sh
index 7bb69fe4..803cc54d 100644
--- a/jjb/common/include-apps-prepare-upload-folder.sh
+++ b/jjb/common/include-apps-prepare-upload-folder.sh
@@ -22,44 +22,12 @@ else
fi
pushd ${MYPROJECT}
-pwd
-ls -alh
+#pwd
+ls -alh package
if test x"$isAUTOBUILD" = x"1" ; then
- if [ "$(ls -l package/*.wgt | wc -l)" = "1" ] ; then
- echo "isAUTOBUILD"
- # use just ./package/ for wgt's
- ls package || true
- cp package/*.wgt $DEST
- elif [ "$(ls -l build/package/*.wgt | wc -l)" = "1" ] ; then
- # use just ./build/package/ for wgt's
- ls build/package || true
- cp build/package/*.wgt $DEST
- fi
+ cp package/*.wgt $DEST
fi
-######################################################################
-# /!\/!\/!\ DEPRECATED FALLBACK WAY TO BUILD AGL APPS /!\/!\/!\ #
-######################################################################
-
-if test x"$isCMAKE" = x"1" ; then
- echo "isCMAKE"
- # use cmake build/package folder for wgt's ...
- ls build/package/ || true
- cp build/package/*.wgt $DEST
-fi
-if test x"$isMAKE" = x"1" ; then
- echo "isMAKE"
- # use just ./package/ for wgt's
- ls package || true
- cp package/*.wgt $DEST
-fi
-if test x"$isQMAKE" = x"1" ; then
- echo "isQMAKE"
- # use just ./package/ for wgt's
- ls package || true
- cp package/*.wgt $DEST
-fi
-
ls -alh $DEST